Eclipse Platform Release 3.7

## org.eclipse.equinox.p2.metadata
Interface IArtifactKey

All Superinterfaces:
  IVersionedId

    public interface IArtifactKey

extends IVersionedId

Provide standardised artifact information to uniquely identify the corresponding bytes (perhaps not stored as a file).

Artifact keys represent both a unique opaque identifier as well as structured and standardised pieces of information.

Since:
  2.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

Method Summary
`String` `getClassifier()` Returns the classifier for this artifact key.
`String` `getId()` Returns the id for this artifact key.
`Version` `getVersion()` Returns the version for this artifact key.
`String` `toExternalForm()` Returns the canonical string form of this artifact key.

Method Detail

### getClassifier

    String getClassifier()

  Returns the classifier for this artifact key. The returned value can be empty.

  Returns:
    the classifier segment of the key.

### getId

    String getId()

  Returns the id for this artifact key.

  Specified by:
    `getId` in interface `IVersionedId`
  Returns:
    the id segment of the key.

### getVersion

    Version getVersion()

  Returns the version for this artifact key.

  Specified by:
    `getVersion` in interface `IVersionedId`
  Returns:
    the version segment of the key.

### toExternalForm

    String toExternalForm()

  Returns the canonical string form of this artifact key.

  Returns:
    the canonical string representing this key

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.